@import "../../../styles/colors";

$transition-time: 0.2s;

.form-label {
  display: block;
  margin-bottom: 5px;
  color: $color-thunder;
  font-size: 0.8em;
  font-weight: 600;

  &--large {
    font-size: 1.2em;
  }

  &__text {
    transition: font-size $transition-time, color $transition-time,
    font-weight $transition-time, letter-spacing $transition-time;

    &--inactive {
      display: inline-block;
      color: $color-tiara;
      font-size: 1.14583em;
      font-weight: bold;
      line-height: 1.27083em;
      padding: 0.25em 0;
    }

    &--completed {
      color: $color-de-york;
      font-size: 0.9375em;
      line-height: 1.45833em;
      font-weight: bold;
    }
  }

  &__icon {
    fill: $color-de-york;
    height: 0.78125em;
    opacity: 0;
    transition: opacity $transition-time;

    &--active {
      opacity: 1;
    }

    &--inactive {
      display: none;
    }
  }
}
